Subject: Compiled emacs fails to run

From: Jay Belanger <[email-masked]>
Date: Wed, 11 Jun 2008 11:41:18 -0500

I'm running the latest updated Ubuntu GNU/Linux.

[~]> uname -r
2.6.24-18-generic
[~]> gcc --version
gcc (GCC) 4.2.3 (Ubuntu 4.2.3-2ubuntu7)
Copyright (C) 2007 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

A fresh CVS checkout configured and compiled with no problems, but
when I tried to run it, I got the following message:

[emacs]> ./src/emacs -Q
Memory exhausted--use M-x save-some-buffers then exit and restart Emacs
Fatal error (6)Aborted

This started yesterday, as I recall, although I just tried again with
the same result.

> If Emacs crashed, and you have the Emacs process in the gdb debugger,
> please include the output from the following gdb commands:
>     `bt full' and `xbacktrace'.

[src]> gdb emacs
GNU gdb 6.8-debian
Copyright (C) 2008 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i486-linux-gnu"...
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from terminal]
DISPLAY = :0.0
TERM = xterm
Breakpoint 1 at 0x8102e16: file emacs.c, line 427.
Breakpoint 2 at 0x811cc09: file sysdep.c, line 1324.
(gdb) bt full
No stack.

Lisp Backtrace:
Cannot access memory at address 0xbf95efb0
(gdb) xbacktrace
Cannot access memory at address 0xbf95efb0
(gdb)